package cn.citycraft.CTZLoginServer.config;

import org.bukkit.plugin.Plugin;

public class Config extends ConfigLoader {
	private static String CONFIG_NAME = "config.yml";
	private static FileConfig instance;

	public Config(Plugin p, String ver) {
		super(p, CONFIG_NAME, ver);
		instance = super.getInstance();
	}

	public static void load(Plugin p, String ver) {
		new Config(p, ver);
	}

	public static FileConfig getInstance() {
		return instance;
	}

	public static String getMessage(String path) {
		String message = instance.getString(path).replaceAll("&", "§");
		return message;
	}

	public static String[] getStringArray(String path) {
		return instance.getStringList(path).toArray(new String[0]);
	}
}
